> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Shared Group

> Requests the creation of a shared group object, containing key/value pairs which may be updated by all members of the group. When created by a server, the group will initially have no members. Shared Groups are designed for sharing data between a very small number of players, please see our guide: https://learn.microsoft.com/gaming/playfab/features/social/groups/using-shared-group-data

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| InvalidSharedGroupId | 1088 |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/CreateSharedGroup
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/CreateSharedGroup:
    post:
      tags:
        - Shared Group Data
      summary: Create Shared Group
      description: >
        Requests the creation of a shared group object, containing key/value
        pairs which may be updated by all members of the group. When created by
        a server, the group will initially have no members. Shared Groups are
        designed for sharing data between a very small number of players, please
        see our guide:
        https://learn.microsoft.com/gaming/playfab/features/social/groups/using-shared-group-data


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | InvalidSharedGroupId | 1088 |

        | ProductDisabledForTitle | 1609 |
      operationId: CreateSharedGroup
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSharedGroupRequest'
        description: >-
          If SharedGroupId is specified, the service will attempt to create a
          group with that identifier, and will return an error if it is already
          in use. If no SharedGroupId is specified, a random identifier will be
          assigned.
      responses:
        '200':
          $ref: '#/components/responses/CreateSharedGroupResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    CreateSharedGroupRequest:
      description: >-
        If SharedGroupId is specified, the service will attempt to create a
        group with that identifier, and will return an error if it is already in
        use. If no SharedGroupId is specified, a random identifier will be
        assigned.
      type: object
      properties:
        SharedGroupId:
          description: >-
            Unique identifier for the shared group (a random identifier will be
            assigned, if one is not specified).
          type: string
      example:
        SharedGroupId: Clan Data
    CreateSharedGroupResult:
      type: object
      properties:
        SharedGroupId:
          description: Unique identifier for the shared group.
          type: string
      example:
        SharedGroupId: Clan Data
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    CreateSharedGroupResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/CreateSharedGroupResult'
            example:
              code: 200
              status: OK
              data:
                SharedGroupId: Clan Data
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Create Shared Group](/services/playfab/api-references/rest/client/shared-group-data/create-shared-group.md)
- [Delete Shared Group](/api-reference/shared-group-data/delete-shared-group.md)
- [Get Shared Group Data](/api-reference/shared-group-data/get-shared-group-data.md)
- [Remove Shared Group Members](/api-reference/shared-group-data/remove-shared-group-members.md)
- [Add Shared Group Members](/api-reference/shared-group-data/add-shared-group-members.md)
